<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($game==0 OR $level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	$pl=$_GET['p'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".$pl."'");
	$f = mysql_fetch_array($q);
			switch ($act) {
	default:
	echo "<title>Ваши планеты</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Ваши планеты</b></div>';
	echo '<div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `planet` WHERE `uid` = '".$use_id."' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

	echo '<center><div class="ch">';		
	echo '<a href="sector.php?x='.$row['x'].'&amp;y='.$row['y'].'"><img src="../images/planet_small/'.$row['type'].'.jpg" alt="" /></a> <a href="?act=pl&amp;p='.$row['id'].'"><b>'.$row['name'].'</b></a> [x:'.$row['x'].' y:'.$row['y'].']';	
	$q1 = mysql_query("SELECT * FROM `sector_loc` WHERE `uid`='".$use_id."' AND `loc`=3 AND `planet`='".$row['id']."'");
	$f1 = mysql_fetch_array($q1);
	if($f1['id']!='')echo ' - <a href="sector.php?x='.$f1['x'].'&amp;y='.$f1['y'].'"><img src="../images/space/l'.$f1['type'].'.jpg" alt="" /></a> <a href="met.php?id='.$f1['id'].'">'.met($f1['type']).'</a>';
	echo '</div></center>';
	}

	}
	break;
	case 'pl':

	if($f['uid']==$use_id){
	echo "<title>Ваша планета ".$f['name']."</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Планета</b> <font color="#4EEE94"><b>['.$f['name'].']</b></font></div>';
	echo '<div class="razd"></div>';
	echo '<div class="window">';
	echo '<b>Расположение:</b> <font color="#4EEE94">[x:'.$f['x'].']</font> <font color="#4EEE94">[y:'.$f['y'].']</font><br/>';
	echo '<b>Озоновый слой:</b> <font color="#4EEE94">['.$f['ozon'].']</font>%';
	if($f['ozon']<100)echo ' [<a href="?act=ozon&amp;p='.$f['id'].'">+</a>]';
	echo '<br/><b>Обломков на орбите:</b> <font color="#4EEE94">['.$f['obl'].']</font> ед.<br/>';
	if($f['obl']>=1000 AND $f['moon']==0){
	echo '<span class="green">Из обломков на орбите планеты образовалась луна</span><br/>';
	mysql_query("INSERT INTO `sector_loc` SET `uid`='".$use_id."', `loc`=4, `type`='".rand(1, 5)."', `planet`='".$f['id']."', `y`='".($f['y']+1)."', `x`='".($f['x']-1)."';");
	mysql_query("INSERT INTO `moon` SET `uid`='".$use_id."', `rasa`='".$rasa."', `planet`='".$f['id']."', `name_planet`='".$f['name']."', `diameter`=1000, `y`='".($f['y']+1)."', `x`='".($f['x']-1)."';");
	mysql_query("UPDATE `planet` SET `moon`=1, `obl`=obl-1000 WHERE `id`='".$f['id']."';");
	}
	if($f['moon']==1)echo '<a href="moon.php?p='.$f['id'].'">Луна планеты</a><br/>';
	echo '</div>';
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Население планеты</b></div>';
	echo '<div class="razd"></div>';
	echo '<div class="window">';
	echo '<img src="../images/peo.gif" alt="" /> Население: '.$f['peo'].'/';
	if($rasa==1)echo ''.intval($f['maxpeo']*1750).'';
	if($rasa==2)echo ''.intval($f['maxpeo']*1500).'';
	if($rasa==3)echo ''.intval($f['maxpeo']*2000).'';
	echo '<br/><img src="../images/images_main/trit.png" width="25px" alt="" /> Расход Трития: '.($f['peo']*0.5).'<br/>'.rab($rasa).': '.$f['rab'].'<br/>'.rasa($rasa).' <a href="?act=units&amp;p='.$f['id'].'">Свободные войска</a>';
	echo '</div>';
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Карта планеты</b></div>';
	echo '<div class="razd"></div>';
$mm = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$f['id']."' AND `x`=3 AND `y`=3 LIMIT 1");
$map = mysql_fetch_array($mm);  
$x1=4-3;
$y1=4+3;
$wave=1;
$table=1;
echo '<div class="window" align="center"><table cellspacing="0" cellpadding="0">';
while($wave<='49'){
if($table=='8'){
$table='1';
$x1=$x1-'7';
$y1=$y1-'1';}
$mm1 = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$f['id']."' AND `x`='".$x1."' AND `y`='".$y1."' LIMIT 1");
$map1 = mysql_fetch_array($mm1);

if($table=='1')echo'<tr border="0" HEIGHT="18">';
echo'<td BGCOLOR="black">';
echo '<a href="production.php?p='.$f['id'].'&amp;l='.$map1['id'].'">'.m($map1['type'], $map1['occupy'], $use_id, $map1['uid'], $rasa).'</a>';
echo'</td>';
if($table=='7')echo'</tr>';

$wave++;
$table++;
$x1++;
}

echo'</table></div>';
echo '<div class="razd"></div>';	
echo '<div class="top-nav1"><font color="#4EEE94"><b>Постройки</b></font> | <a href="build.php?p='.$f['id'].'"><b>Построить</b></a></div>';
echo '<div class="razd"></div>';
echo '<center><div class="ch">';
	$q1 = mysql_query("SELECT * FROM `building` WHERE `planet_id`='".check(mysql_real_escape_string($pl))."'");
	$f1 = mysql_fetch_array($q1);
	//Люди
	if($rasa==1){
	if($f1['b1']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/kom.php?p='.$f['id'].'">Командный центр</a><div class="razd"></div>';
	if($f1['b2']!=0)echo '<img src="../images/icon/icon/menu.png" alt="image" /> <a href="../terran/hran.php?p='.$f['id'].'">Хранилище</a><div class="razd"></div>';
	if($f1['b3']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/inz.php?p='.$f['id'].'">Инженерный комплекс</a><div class="razd"></div>';
	if($f1['b4']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/radar.php?p='.$f['id'].'">Станция наблюдения</a><div class="razd"></div>';
	if($f1['b5']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/kazarma.php?p='.$f['id'].'">Казармы</a><div class="razd"></div>';
	if($f1['b6']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/lab.php?p='.$f['id'].'">Лаборатория</a><div class="razd"></div>';
	if($f1['b7']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/prizrak.php?p='.$f['id'].'">Академия призраков</a><div class="razd"></div>';
	if($f1['b8']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/zavod.php?p='.$f['id'].'">Завод</a><div class="razd"></div>';
	if($f1['b9']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/arsenal.php?p='.$f['id'].'">Арсенал</a><div class="razd"></div>';
	if($f1['b10']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/kosmoport.php?p='.$f['id'].'">Космопорт</a><div class="razd"></div>';
	if($f1['b11']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/synt.php?p='.$f['id'].'">Центр синтеза</a><div class="razd"></div>';
	if($f1['b12']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../terran/usk.php?p='.$f['id'].'">Ускоритель частиц</a><div class="razd"></div>';
	}
	//Киборги
	if($rasa==2){
	if($f1['b1']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/nexus.php?p='.$f['id'].'">Нексус</a><div class="razd"></div>';
	if($f1['b2']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/pylon.php?p='.$f['id'].'">Пилон</a><div class="razd"></div>';
	if($f1['b3']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/core.php?p='.$f['id'].'">Кибернетическое ядро</a><div class="razd"></div>';
	if($f1['b4']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/kont.php?p='.$f['id'].'">Контактная башня</a><div class="razd"></div>';
	if($f1['b5']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/vrata.php?p='.$f['id'].'">Врата</a><div class="razd"></div>';
	if($f1['b6']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/oruzh.php?p='.$f['id'].'">Оружейная</a><div class="razd"></div>';
	if($f1['b7']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/tamp.php?p='.$f['id'].'">Архивы тамплиеров</a><div class="razd"></div>';
	if($f1['b8']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/zavod.php?p='.$f['id'].'">Завод робототехники</a><div class="razd"></div>';
	if($f1['b9']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/rob.php?p='.$f['id'].'">Робототехнический узел</a><div class="razd"></div>';
	if($f1['b10']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/star.php?p='.$f['id'].'">Звездные врата</a><div class="razd"></div>';
	if($f1['b11']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/mayak.php?p='.$f['id'].'">Маяк флотилии</a><div class="razd"></div>';
	if($f1['b12']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../protoss/teleport.php?p='.$f['id'].'">Телепортатор</a><div class="razd"></div>';
	}
	//Органики
	if($rasa==3){
	if($f1['b1']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/inc.php?p='.$f['id'].'">Инкубатор</a><div class="razd"></div>';
	if($f1['b2']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/gnezdo.php?p='.$f['id'].'">Гнездо</a><div class="razd"></div>';
	if($f1['b3']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/evol.php?p='.$f['id'].'">Эволюционная камера</a><div class="razd"></div>';
	if($f1['b4']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/spor.php?p='.$f['id'].'">Споровик</a><div class="razd"></div>';
	if($f1['b5']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/omut.php?p='.$f['id'].'">Омут рождения</a><div class="razd"></div>';
	if($f1['b6']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/gn.php?p='.$f['id'].'">Гнездо гиблингов</a><div class="razd"></div>';
	if($f1['b7']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/roach.php?p='.$f['id'].'">Рассадник тараканов</a><div class="razd"></div>';
	if($f1['b8']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/hydralisk.php?p='.$f['id'].'">Берлога гидралисков</a><div class="razd"></div>';
	if($f1['b9']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/zaraz.php?p='.$f['id'].'">Яма заразителей</a><div class="razd"></div>';
	if($f1['b10']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/ultralisk.php?p='.$f['id'].'">Пещера ультралиска</a><div class="razd"></div>';
	if($f1['b11']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/shpil.php?p='.$f['id'].'">Шпиль</a><div class="razd"></div>';
	if($f1['b12']!=0)echo '<img src="../images/icon/menu.png" alt="image" /> <a href="../zerg/nydus.php?p='.$f['id'].'">Сеть Нидуса</a><div class="razd"></div>';
	}
	echo '</div></center>';
	echo '<div class="blok"><a href="planet.php"><b>Назад</b></a></div>';}
	break;
	case 'units':
	if($f['uid']==$use_id){
	echo '<div class="top"><a href="?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Свободные войска</div>';
	$q1 = mysql_query("SELECT * FROM `planet_units` WHERE `planet`='".$f['id']."'");
	$f1 = mysql_fetch_array($q1);
	$units=$f1['u1']+$f1['u2']+$f1['u3']+$f1['u4']+$f1['u5']+$f1['u6']+$f1['u7']+$f1['u8']+$f1['u9']+$f1['u10']+$f1['u11']+$f1['u12'];
	echo '<div class="conts">';
	if($units==0)echo 'На планете нет свободных войск...';
	if($f1['u1']!=0)echo ''.rasa($rasa).' '.units(1, $rasa).': '.$f1['u1'].'<br/>';
	if($f1['u2']!=0)echo ''.rasa($rasa).' '.units(2, $rasa).': '.$f1['u2'].'<br/>';
	if($f1['u3']!=0)echo ''.rasa($rasa).' '.units(3, $rasa).': '.$f1['u3'].'<br/>';
	if($f1['u4']!=0)echo ''.rasa($rasa).' '.units(4, $rasa).': '.$f1['u4'].'<br/>';
	if($f1['u5']!=0)echo ''.rasa($rasa).' '.units(5, $rasa).': '.$f1['u5'].'<br/>';
	if($f1['u6']!=0)echo ''.rasa($rasa).' '.units(6, $rasa).': '.$f1['u6'].'<br/>';
	if($f1['u7']!=0)echo ''.rasa($rasa).' '.units(7, $rasa).': '.$f1['u7'].'<br/>';
	if($f1['u8']!=0)echo ''.rasa($rasa).' '.units(8, $rasa).': '.$f1['u8'].'<br/>';
	if($f1['u9']!=0)echo ''.rasa($rasa).' '.units(9, $rasa).': '.$f1['u9'].'<br/>';
	if($f1['u10']!=0)echo ''.rasa($rasa).' '.units(10, $rasa).': '.$f1['u10'].'<br/>';
	if($f1['u11']!=0)echo ''.rasa($rasa).' '.units(11, $rasa).': '.$f1['u11'].'<br/>';
	if($f1['u12']!=0)echo ''.rasa($rasa).' '.units(12, $rasa).': '.$f1['u12'].'<br/>';
	echo '</div>';}
	break;
		case 'ozon':
	if($f['ozon']<100){
	echo '<div class="top"><a href="../game/planet.php?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Озоновый слой</div>';
	echo '<div class="cont">Для увеличения озонового слоя на 1% нужно 170 ед. воды</div>';
	echo '<div class="conts">';
	$maxozon=100-$f['ozon'];
				if(!$_POST)
	{
			echo '<form action="?act=ozon&p='.$f['id'].'" method="POST">
			На сколько увеличить (max. '.$maxozon.'):<br />
			<input type="text" value="0" name="mn" /> ';
			echo '<input type="submit" name="submit" value="Увеличить"/></form>';
	}
	else
	{
			$mn = check(trim($_POST['mn']));
			$dmn = $mn*170;
		$error = false;
			
			if (empty($mn))
			$error = $error . 'Не введено число!<br/>';
			elseif ($mn < 1)
			$error = $error . 'Нельзя увеличить озоновый слой на менее чем 1%!<br />';
			elseif ($f['ozon']+$mn>100)
			$error = $error . 'Озоновый слой не может быть выше 100%!<br />';
			elseif (preg_match('/[^\da-zA-Z_]+/',$mn))
			$error = $error . 'Недопустимые символы!<br />';
			elseif ($water<$dmn)
			$error = $error . 'Не хватает воды для увеличения озонового слоя<br />';
		
	 
	  		if (empty($error))
		{

			mysql_query("UPDATE `users` SET `water`=water-$dmn WHERE `id`='".$use_id."';");
			mysql_query("UPDATE `planet` SET `ozon`=ozon+$mn WHERE `id`='".$f['id']."';");
            echo 'Озоновый слой планеты увеличен до '.($f['ozon']+$mn).'%! Использовано <img src="../images/water.png" alt="" /> '.$dmn.' воды<br/>';

		}
		else
		{
		echo ''.$error.'';
		}
	}
	echo '<a href="?act=ozon&amp;p='.$f['id'].'"><b>Назад</b></a></div>';}
	break;
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>